List returned items
curl --request GET \
--url https://api-external.ezyid.io/api/checkout/returned-assetsimport requests
url = "https://api-external.ezyid.io/api/checkout/returned-assets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-external.ezyid.io/api/checkout/returned-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-external.ezyid.io/api/checkout/returned-assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-external.ezyid.io/api/checkout/returned-assets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-external.ezyid.io/api/checkout/returned-assets")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-external.ezyid.io/api/checkout/returned-assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": 123,
"apkId": 123,
"assetName": "<string>",
"serialNumber": "<string>",
"ezyid": "<string>",
"customId": "<string>",
"categoryId": 123,
"categoryName": "<string>",
"siteId": 123,
"siteName": "<string>",
"projectId": 123,
"projectName": "<string>",
"checkoutDate": "2023-11-07T05:31:56Z",
"expectedReturnDate": "2023-11-07T05:31:56Z",
"returnedDate": "2023-11-07T05:31:56Z",
"isOverdue": true,
"contractorName": "<string>",
"contractorApkId": 123,
"contractorMobileNumber": "<string>",
"contractorEmail": "<string>",
"contractorCompany": "<string>",
"contactId": 123,
"assetStatus": 123,
"isConsumable": true,
"quantity": 123,
"locationName": "<string>"
}
]{
"error": "<string>"
}Checkout
Returned Assets
Retrieve the items that have been brought back, most recent return first.
GET
/
api
/
checkout
/
returned-assets
List returned items
curl --request GET \
--url https://api-external.ezyid.io/api/checkout/returned-assetsimport requests
url = "https://api-external.ezyid.io/api/checkout/returned-assets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-external.ezyid.io/api/checkout/returned-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-external.ezyid.io/api/checkout/returned-assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-external.ezyid.io/api/checkout/returned-assets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-external.ezyid.io/api/checkout/returned-assets")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-external.ezyid.io/api/checkout/returned-assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": 123,
"apkId": 123,
"assetName": "<string>",
"serialNumber": "<string>",
"ezyid": "<string>",
"customId": "<string>",
"categoryId": 123,
"categoryName": "<string>",
"siteId": 123,
"siteName": "<string>",
"projectId": 123,
"projectName": "<string>",
"checkoutDate": "2023-11-07T05:31:56Z",
"expectedReturnDate": "2023-11-07T05:31:56Z",
"returnedDate": "2023-11-07T05:31:56Z",
"isOverdue": true,
"contractorName": "<string>",
"contractorApkId": 123,
"contractorMobileNumber": "<string>",
"contractorEmail": "<string>",
"contractorCompany": "<string>",
"contactId": 123,
"assetStatus": 123,
"isConsumable": true,
"quantity": 123,
"locationName": "<string>"
}
]{
"error": "<string>"
}Query Parameters
Response
OK. An empty array when nothing matches.
